Package org.apache.ignite.internal.client.thin

## Enum ClientOperation

- java.lang.Object
- - java.lang.Enum<ClientOperation>
  - - org.apache.ignite.internal.client.thin.ClientOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<ClientOperation>`

    public enum ClientOperation
    extends Enum<ClientOperation>

Operation codes.

### Enum Constant Summary

Enum Constants
`ATOMIC_LONG_CREATE` Get or create an AtomicLong by name.
`ATOMIC_LONG_EXISTS` Check if AtomicLong exists.
`ATOMIC_LONG_REMOVE` Remove an AtomicLong.
`ATOMIC_LONG_VALUE_ADD_AND_GET` AtomicLong.addAndGet (also covers incrementAndGet, getAndIncrement, getAndAdd, decrementAndGet, getAndDecrement).
`ATOMIC_LONG_VALUE_COMPARE_AND_SET` AtomicLong.compareAndSet.
`ATOMIC_LONG_VALUE_COMPARE_AND_SET_AND_GET` AtomicLong.compareAndSetAndGet.
`ATOMIC_LONG_VALUE_GET` AtomicLong.get.
`ATOMIC_LONG_VALUE_GET_AND_SET` AtomicLong.getAndSet.
`CACHE_CLEAR` Cache clear.
`CACHE_CLEAR_KEY` Cache clear key.
`CACHE_CLEAR_KEYS` Cache clear keys.
`CACHE_CONTAINS_KEY` Cache contains key.
`CACHE_CONTAINS_KEYS` Cache contains keys.
`CACHE_CREATE_WITH_CONFIGURATION` Cache create with configuration.
`CACHE_CREATE_WITH_NAME` Cache create with name.
`CACHE_DESTROY` Cache destroy.
`CACHE_GET` Cache get.
`CACHE_GET_ALL` Get all.
`CACHE_GET_AND_PUT` Cache get and put.
`CACHE_GET_AND_PUT_IF_ABSENT` Cache get and put if absent.
`CACHE_GET_AND_REMOVE` Cache get and remove.
`CACHE_GET_AND_REPLACE` Cache get and replace.
`CACHE_GET_CONFIGURATION` Cache get configuration.
`CACHE_GET_NAMES` Cache get names.
`CACHE_GET_OR_CREATE_WITH_CONFIGURATION` Cache get or create with configuration.
`CACHE_GET_OR_CREATE_WITH_NAME` Cache get or create with name.
`CACHE_GET_SIZE` Get size.
`CACHE_INVOKE` Cache invoke.
`CACHE_INVOKE_ALL` Cache invoke all.
`CACHE_PARTITIONS` Cache partitions.
`CACHE_PUT` Cache put.
`CACHE_PUT_ALL` Put all.
`CACHE_PUT_ALL_CONFLICT` Cache put all conflict.
`CACHE_PUT_IF_ABSENT` Cache put if absent.
`CACHE_REMOVE_ALL` Cache remove all.
`CACHE_REMOVE_ALL_CONFLICT` Cache remove all conflict.
`CACHE_REMOVE_IF_EQUALS` Cache remove if equals.
`CACHE_REMOVE_KEY` Cache remove key.
`CACHE_REMOVE_KEYS` Cache remove keys.
`CACHE_REPLACE` Cache replace.
`CACHE_REPLACE_IF_EQUALS` Cache replace if equals.
`CLUSTER_CHANGE_STATE` Change cluster state.
`CLUSTER_CHANGE_WAL_STATE` Change WAL state.
`CLUSTER_GET_STATE` Get cluster state.
`CLUSTER_GET_WAL_STATE` Get WAL state.
`CLUSTER_GROUP_GET_NODE_ENDPOINTS` Get nodes endpoints.
`CLUSTER_GROUP_GET_NODE_IDS` Get nodes IDs by filter.
`CLUSTER_GROUP_GET_NODE_INFO` Get nodes info by IDs.
`COMPUTE_TASK_EXECUTE` Execute compute task.
`COMPUTE_TASK_FINISHED` Finished compute task notification.
`GET_BINARY_CONFIGURATION` Get binary configuration.
`GET_BINARY_TYPE` Get binary type.
`GET_BINARY_TYPE_NAME` Get binary type name.
`GET_IDLE_TIMEOUT` Get idle timeout.
`HANDSHAKE` Handshake
`HEARTBEAT` Heartbeat.
`OP_SET_CLEAR` IgniteSet.clear.
`OP_SET_CLOSE` Remove an IgniteSet.
`OP_SET_EXISTS` Check if IgniteSet exists.
`OP_SET_GET_OR_CREATE` Create an IgniteSet.
`OP_SET_ITERATOR_GET_PAGE` IgniteSet.iterator page.
`OP_SET_ITERATOR_START` IgniteSet.iterator.
`OP_SET_SIZE` IgniteSet.size.
`OP_SET_VALUE_ADD` IgniteSet.add.
`OP_SET_VALUE_ADD_ALL` IgniteSet.addAll.
`OP_SET_VALUE_CONTAINS` IgniteSet.contains.
`OP_SET_VALUE_CONTAINS_ALL` IgniteSet.containsAll.
`OP_SET_VALUE_REMOVE` IgniteSet.remove.
`OP_SET_VALUE_REMOVE_ALL` IgniteSet.removeAll.
`OP_SET_VALUE_RETAIN_ALL` IgniteSet.retainAll.
`OP_STOP_WARMUP` Stop warmup.
`PUT_BINARY_TYPE` Put binary type.
`QUERY_CONTINUOUS` Continuous query.
`QUERY_CONTINUOUS_EVENT` Continuous query event.
`QUERY_INDEX` Index query event.
`QUERY_INDEX_CURSOR_GET_PAGE` Query index cursor get page.
`QUERY_SCAN` Query scan.
`QUERY_SCAN_CURSOR_GET_PAGE` Query scan cursor get page.
`QUERY_SQL` Query sql.
`QUERY_SQL_CURSOR_GET_PAGE` Query sql cursor get page.
`QUERY_SQL_FIELDS` Query sql fields.
`QUERY_SQL_FIELDS_CURSOR_GET_PAGE` Query sql fields cursor get page.
`REGISTER_BINARY_TYPE_NAME` Register binary type name.
`RESOURCE_CLOSE` Resource close.
`SERVICE_GET_DESCRIPTOR` Get service descriptors.
`SERVICE_GET_DESCRIPTORS` Get service descriptors.
`SERVICE_GET_TOPOLOGY` Get service topology.
`SERVICE_INVOKE` Invoke service.
`TX_END` End the transaction (commit or rollback).
`TX_START` Start new transaction.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`short` `code()`
`static @Nullable ClientOperation` `fromCode​(short code)`
`org.apache.ignite.internal.client.thin.ClientNotificationType` `notificationType()`
`@Nullable ClientOperationType` `toPublicOperationType()` Converts this internal operation code to public `ClientOperationType`.
`static ClientOperation` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClientOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HANDSHAKE

    public static final ClientOperation HANDSHAKE

Handshake

#### RESOURCE_CLOSE

    public static final ClientOperation RESOURCE_CLOSE

Resource close.

#### HEARTBEAT

    public static final ClientOperation HEARTBEAT

Heartbeat.

#### GET_IDLE_TIMEOUT

    public static final ClientOperation GET_IDLE_TIMEOUT

Get idle timeout.

#### CACHE_GET_OR_CREATE_WITH_NAME

    public static final ClientOperation CACHE_GET_OR_CREATE_WITH_NAME

Cache get or create with name.

#### CACHE_PUT

    public static final ClientOperation CACHE_PUT

Cache put.

#### CACHE_GET

    public static final ClientOperation CACHE_GET

Cache get.

#### CACHE_CREATE_WITH_CONFIGURATION

    public static final ClientOperation CACHE_CREATE_WITH_CONFIGURATION

Cache create with configuration.

#### CACHE_GET_NAMES

    public static final ClientOperation CACHE_GET_NAMES

Cache get names.

#### CACHE_DESTROY

    public static final ClientOperation CACHE_DESTROY

Cache destroy.

#### CACHE_GET_OR_CREATE_WITH_CONFIGURATION

    public static final ClientOperation CACHE_GET_OR_CREATE_WITH_CONFIGURATION

Cache get or create with configuration.

#### CACHE_CREATE_WITH_NAME

    public static final ClientOperation CACHE_CREATE_WITH_NAME

Cache create with name.

#### CACHE_CONTAINS_KEY

    public static final ClientOperation CACHE_CONTAINS_KEY

Cache contains key.

#### CACHE_CONTAINS_KEYS

    public static final ClientOperation CACHE_CONTAINS_KEYS

Cache contains keys.

#### CACHE_GET_CONFIGURATION

    public static final ClientOperation CACHE_GET_CONFIGURATION

Cache get configuration.

#### CACHE_GET_SIZE

    public static final ClientOperation CACHE_GET_SIZE

Get size.

#### CACHE_PUT_ALL

    public static final ClientOperation CACHE_PUT_ALL

Put all.

#### CACHE_GET_ALL

    public static final ClientOperation CACHE_GET_ALL

Get all.

#### CACHE_REPLACE_IF_EQUALS

    public static final ClientOperation CACHE_REPLACE_IF_EQUALS

Cache replace if equals.

#### CACHE_REPLACE

    public static final ClientOperation CACHE_REPLACE

Cache replace.

#### CACHE_REMOVE_KEY

    public static final ClientOperation CACHE_REMOVE_KEY

Cache remove key.

#### CACHE_REMOVE_IF_EQUALS

    public static final ClientOperation CACHE_REMOVE_IF_EQUALS

Cache remove if equals.

#### CACHE_REMOVE_KEYS

    public static final ClientOperation CACHE_REMOVE_KEYS

Cache remove keys.

#### CACHE_REMOVE_ALL

    public static final ClientOperation CACHE_REMOVE_ALL

Cache remove all.

#### CACHE_GET_AND_PUT

    public static final ClientOperation CACHE_GET_AND_PUT

Cache get and put.

#### CACHE_GET_AND_REMOVE

    public static final ClientOperation CACHE_GET_AND_REMOVE

Cache get and remove.

#### CACHE_GET_AND_REPLACE

    public static final ClientOperation CACHE_GET_AND_REPLACE

Cache get and replace.

#### CACHE_PUT_IF_ABSENT

    public static final ClientOperation CACHE_PUT_IF_ABSENT

Cache put if absent.

#### CACHE_GET_AND_PUT_IF_ABSENT

    public static final ClientOperation CACHE_GET_AND_PUT_IF_ABSENT

Cache get and put if absent.

#### CACHE_CLEAR

    public static final ClientOperation CACHE_CLEAR

Cache clear.

#### CACHE_CLEAR_KEY

    public static final ClientOperation CACHE_CLEAR_KEY

Cache clear key.

#### CACHE_CLEAR_KEYS

    public static final ClientOperation CACHE_CLEAR_KEYS

Cache clear keys.

#### CACHE_PUT_ALL_CONFLICT

    public static final ClientOperation CACHE_PUT_ALL_CONFLICT

Cache put all conflict.

#### CACHE_REMOVE_ALL_CONFLICT

    public static final ClientOperation CACHE_REMOVE_ALL_CONFLICT

Cache remove all conflict.

#### CACHE_INVOKE

    public static final ClientOperation CACHE_INVOKE

Cache invoke.

#### CACHE_INVOKE_ALL

    public static final ClientOperation CACHE_INVOKE_ALL

Cache invoke all.

#### CACHE_PARTITIONS

    public static final ClientOperation CACHE_PARTITIONS

Cache partitions.

#### QUERY_SCAN

    public static final ClientOperation QUERY_SCAN

Query scan.

#### QUERY_SCAN_CURSOR_GET_PAGE

    public static final ClientOperation QUERY_SCAN_CURSOR_GET_PAGE

Query scan cursor get page.

#### QUERY_SQL

    public static final ClientOperation QUERY_SQL

Query sql.

#### QUERY_SQL_CURSOR_GET_PAGE

    public static final ClientOperation QUERY_SQL_CURSOR_GET_PAGE

Query sql cursor get page.

#### QUERY_SQL_FIELDS

    public static final ClientOperation QUERY_SQL_FIELDS

Query sql fields.

#### QUERY_SQL_FIELDS_CURSOR_GET_PAGE

    public static final ClientOperation QUERY_SQL_FIELDS_CURSOR_GET_PAGE

Query sql fields cursor get page.

#### QUERY_CONTINUOUS

    public static final ClientOperation QUERY_CONTINUOUS

Continuous query.

#### QUERY_CONTINUOUS_EVENT

    public static final ClientOperation QUERY_CONTINUOUS_EVENT

Continuous query event.

#### QUERY_INDEX

    public static final ClientOperation QUERY_INDEX

Index query event.

#### QUERY_INDEX_CURSOR_GET_PAGE

    public static final ClientOperation QUERY_INDEX_CURSOR_GET_PAGE

Query index cursor get page.

#### GET_BINARY_TYPE_NAME

    public static final ClientOperation GET_BINARY_TYPE_NAME

Get binary type name.

#### REGISTER_BINARY_TYPE_NAME

    public static final ClientOperation REGISTER_BINARY_TYPE_NAME

Register binary type name.

#### GET_BINARY_TYPE

    public static final ClientOperation GET_BINARY_TYPE

Get binary type.

#### PUT_BINARY_TYPE

    public static final ClientOperation PUT_BINARY_TYPE

Put binary type.

#### GET_BINARY_CONFIGURATION

    public static final ClientOperation GET_BINARY_CONFIGURATION

Get binary configuration.

#### TX_START

    public static final ClientOperation TX_START

Start new transaction.

#### TX_END

    public static final ClientOperation TX_END

End the transaction (commit or rollback).

#### CLUSTER_GET_STATE

    public static final ClientOperation CLUSTER_GET_STATE

Get cluster state.

#### CLUSTER_CHANGE_STATE

    public static final ClientOperation CLUSTER_CHANGE_STATE

Change cluster state.

#### CLUSTER_GET_WAL_STATE

    public static final ClientOperation CLUSTER_GET_WAL_STATE

Get WAL state.

#### CLUSTER_CHANGE_WAL_STATE

    public static final ClientOperation CLUSTER_CHANGE_WAL_STATE

Change WAL state.

#### CLUSTER_GROUP_GET_NODE_IDS

    public static final ClientOperation CLUSTER_GROUP_GET_NODE_IDS

Get nodes IDs by filter.

#### CLUSTER_GROUP_GET_NODE_INFO

    public static final ClientOperation CLUSTER_GROUP_GET_NODE_INFO

Get nodes info by IDs.

#### CLUSTER_GROUP_GET_NODE_ENDPOINTS

    public static final ClientOperation CLUSTER_GROUP_GET_NODE_ENDPOINTS

Get nodes endpoints.

#### COMPUTE_TASK_EXECUTE

    public static final ClientOperation COMPUTE_TASK_EXECUTE

Execute compute task.

#### COMPUTE_TASK_FINISHED

    public static final ClientOperation COMPUTE_TASK_FINISHED

Finished compute task notification.

#### SERVICE_INVOKE

    public static final ClientOperation SERVICE_INVOKE

Invoke service.

#### SERVICE_GET_DESCRIPTORS

    public static final ClientOperation SERVICE_GET_DESCRIPTORS

Get service descriptors.

#### SERVICE_GET_DESCRIPTOR

    public static final ClientOperation SERVICE_GET_DESCRIPTOR

Get service descriptors.

#### SERVICE_GET_TOPOLOGY

    public static final ClientOperation SERVICE_GET_TOPOLOGY

Get service topology.

#### ATOMIC_LONG_CREATE

    public static final ClientOperation ATOMIC_LONG_CREATE

Get or create an AtomicLong by name.

#### ATOMIC_LONG_REMOVE

    public static final ClientOperation ATOMIC_LONG_REMOVE

Remove an AtomicLong.

#### ATOMIC_LONG_EXISTS

    public static final ClientOperation ATOMIC_LONG_EXISTS

Check if AtomicLong exists.

#### ATOMIC_LONG_VALUE_GET

    public static final ClientOperation ATOMIC_LONG_VALUE_GET

AtomicLong.get.

#### ATOMIC_LONG_VALUE_ADD_AND_GET

    public static final ClientOperation ATOMIC_LONG_VALUE_ADD_AND_GET

AtomicLong.addAndGet (also covers incrementAndGet, getAndIncrement, getAndAdd, decrementAndGet, getAndDecrement).

#### ATOMIC_LONG_VALUE_GET_AND_SET

    public static final ClientOperation ATOMIC_LONG_VALUE_GET_AND_SET

AtomicLong.getAndSet.

#### ATOMIC_LONG_VALUE_COMPARE_AND_SET

    public static final ClientOperation ATOMIC_LONG_VALUE_COMPARE_AND_SET

AtomicLong.compareAndSet.

#### ATOMIC_LONG_VALUE_COMPARE_AND_SET_AND_GET

    public static final ClientOperation ATOMIC_LONG_VALUE_COMPARE_AND_SET_AND_GET

AtomicLong.compareAndSetAndGet.

#### OP_SET_GET_OR_CREATE

    public static final ClientOperation OP_SET_GET_OR_CREATE

Create an IgniteSet.

#### OP_SET_CLOSE

    public static final ClientOperation OP_SET_CLOSE

Remove an IgniteSet.

#### OP_SET_EXISTS

    public static final ClientOperation OP_SET_EXISTS

Check if IgniteSet exists.

#### OP_SET_VALUE_ADD

    public static final ClientOperation OP_SET_VALUE_ADD

IgniteSet.add.

#### OP_SET_VALUE_ADD_ALL

    public static final ClientOperation OP_SET_VALUE_ADD_ALL

IgniteSet.addAll.

#### OP_SET_VALUE_REMOVE

    public static final ClientOperation OP_SET_VALUE_REMOVE

IgniteSet.remove.

#### OP_SET_VALUE_REMOVE_ALL

    public static final ClientOperation OP_SET_VALUE_REMOVE_ALL

IgniteSet.removeAll.

#### OP_SET_VALUE_CONTAINS

    public static final ClientOperation OP_SET_VALUE_CONTAINS

IgniteSet.contains.

#### OP_SET_VALUE_CONTAINS_ALL

    public static final ClientOperation OP_SET_VALUE_CONTAINS_ALL

IgniteSet.containsAll.

#### OP_SET_VALUE_RETAIN_ALL

    public static final ClientOperation OP_SET_VALUE_RETAIN_ALL

IgniteSet.retainAll.

#### OP_SET_SIZE

    public static final ClientOperation OP_SET_SIZE

IgniteSet.size.

#### OP_SET_CLEAR

    public static final ClientOperation OP_SET_CLEAR

IgniteSet.clear.

#### OP_SET_ITERATOR_START

    public static final ClientOperation OP_SET_ITERATOR_START

IgniteSet.iterator.

#### OP_SET_ITERATOR_GET_PAGE

    public static final ClientOperation OP_SET_ITERATOR_GET_PAGE

IgniteSet.iterator page.

#### OP_STOP_WARMUP

    public static final ClientOperation OP_STOP_WARMUP

Stop warmup.

### Method Detail

#### values

    public static ClientOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClientOperation c : ClientOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClientOperation valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### code

    public short code()

Returns:
  Code.

#### notificationType

    public org.apache.ignite.internal.client.thin.ClientNotificationType notificationType()

Returns:
  Type of notification.

#### toPublicOperationType

    @Nullable
    public @Nullable ClientOperationType toPublicOperationType()

Converts this internal operation code to public `ClientOperationType`.

Returns:
  Corresponding `ClientOperationType`, or `null` if there is no match. Some operations, such as `RESOURCE_CLOSE`, do not have a public counterpart.

#### fromCode

    @Nullable
    public static @Nullable ClientOperation fromCode​(short code)

Parameters:
  `code` - Code to convert to enum.
Returns:
  Enum.